STRUCT TEMPLATE EV(3)

NAME
boost::proto::result_of::eval - A metafunction for calculating the return type of proto::eval() given a certain Expr and Context types.

SYNOPSIS

// In header: <boost/proto/eval.hpp>
template<typename Expr, typename Context>
struct eval {
  // types
  typedef typename Context::template eval< Expr >::result_type type;
};